Jifty::Script::Adopt(3)

NAME
Jifty::Script::Adopt - localize a stock jifty component

SYNOPSIS
    jifty adopt web/templates/_elements/nav
    jifty adopt --ls web/static/

 Options:
   --ls <path>        list components for adoption
   --tree <path>      list components for adoption

   --help             brief help message
   --man              full documentation

DESCRIPTION
This script will let you create an application-specific replacement for stock Jifty components. For various reasons, Jifty does not actually create these skeleton files in your application's directory tree. While this makes upgrading easier, it can make finding which files to create a little difficult.

  options

-l, --ls PATH
    Lists the contents of the stock components path.

-t, --tree PATH
    Lists the contents of the stock components path recursively.

--help
    Print a brief help message and exits.

--man
    Prints the manual page and exits.

DESCRIPTION
Creates directories and copies files for you, launching $ENV{EDITOR} if it is defined.

METHODS

  run